function S=gitinfo()
% FUNCTION fc_bench.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2017-2020 F. Cuvelier
%
  S=struct('name','fc-vfemp1', 'tag','0.2.1','commit','0be88b947ad32ccf9e216ee1f0921ee3bcbcb69b','date', '2020-03-19','time','06-37-11','status',0);return; % automatically updated
  rep=fc_vfemp1.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-vfemp1','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
