function alldemos(varargin)
  p = inputParser;
  p.addParamValue('type','small',@(x) ismember(lower(x),{'small','full'}));
  p.parse(varargin{:});
  Ldemos={'all01','presentation01','randndiag01', ...
          'alldemos','presentation02','randnher01', ...
          'any01','presentation03','randnherpd01', ...
          'chol01','presentation04','randnsdd01', ...
          'constructor01','presentation_mldivide','randnsym01', ...
          'det01','rand01','randnsympd01', ...
          'ebye01','randdiag01','randntril01', ...
          'ElementaryFunctions01','randher01','randntriu01', ...
          'eye01','randherpd01','randsdd01', ...
          'LinearCombination01','randi01','randsym01', ...
          'LogicalOperations01','randidiag01','randsympd01', ...
          'lu01',' randiher01','randtril01', ...
          'max01','randiherpd01','randtriu01', ...
          'max02','randisdd01','RelationalOperators01', ...
          'min01','randisym01','solvetriu01', ...
          'min02','randisympd01','subsasgn01', ...
          'mldivide01','randitril01','subsref01', ...
          'mtimes01','randitriu01','zeros01', ...
          'ones01','randn01'};
  if strcmp(p.Results.type,'small'), Ldemos={Ldemos{1:5:end}};end
  nLdemos=length(Ldemos);
  for idemo=1:nLdemos
    if fc_tools.comp.isOctave()
      clear -x Ldemos nLdemos idemo
    else
      clearvars -except Ldemos nLdemos idemo
    end
    script=['fc_amat.demos.',Ldemos{idemo}];
    fprintf('\n*** [%2d/%2d] Runnning %s\n\n',idemo,nLdemos,script)
    eval(script)
  end
  
end
